# Generated by Django 4.2.5 on 2023-12-20 14:05

from django.db import migrations, models
import django.utils.timezone
import uuid
from django.utils.text import slugify


def generate_slug(apps, schema_editor):
    Appointment = apps.get_model("openbook_appointments", "Appointment")

    for appointment in Appointment.objects.all():
        base_slug = slugify(appointment.title)
        unique_id = str(uuid.uuid4())[:8]
        appointment.slug = f"{base_slug}-{unique_id}"
        appointment.save()


class Migration(migrations.Migration):

    dependencies = [
        ("openbook_appointments", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="appointment",
            name="slug",
            field=models.SlugField(max_length=100, unique=True),
            preserve_default=False,
        ),
        migrations.RunPython(generate_slug),
    ]
