# Generated by Django 5.0.4 on 2024-05-13 11:44

import django.db.models.deletion
import django.utils.timezone
import uuid
from django.conf import settings
from django.db import migrations, models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Poll",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("question_text", models.CharField(max_length=200)),
                ("created", models.DateTimeField(db_index=True, editable=False)),
                ("modified", models.DateTimeField(db_index=True, default=django.utils.timezone.now)),
                ("is_edited", models.BooleanField(default=False)),
                ("is_closed", models.BooleanField(default=False)),
                ("is_deleted", models.BooleanField(default=False)),
                (
                    "status",
                    models.CharField(
                        choices=[("D", "Draft"), ("PG", "Processing"), ("P", "Published")], default="D", max_length=2
                    ),
                ),
                ("is_public", models.BooleanField(db_index=True, default=False)),
                (
                    "creator",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="poll",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Choice',
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("choice_text", models.CharField(max_length=200)),
                ("votes", models.IntegerField(default=0)),
                (
                    "poll",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="poll", to="openbook_polls.poll"
                    ),
                ),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
