# Generated by Django 4.2.5 on 2024-03-19 12:34

from django.db import migrations

def add_commentable_type(apps, _schema_editor):
    Post = apps.get_model("openbook_posts", "Post")
    PostComment = apps.get_model("openbook_posts", "PostComment")
    ContentType = apps.get_model('contenttypes', 'ContentType')

    post_content_type = ContentType.objects.get_for_model(Post)
    for comment in PostComment.objects.all():
        comment.commentable_id= comment.post_id
        comment.commentable_type = post_content_type
        comment.save()

class Migration(migrations.Migration):

    dependencies = [
        ("openbook_posts", "0019_postcomment_commentable_id_and_more"),
    ]

    operations = [
        migrations.RunPython(code=add_commentable_type, reverse_code=migrations.RunPython.noop),
    ]
