# Generated by Django 4.2.5 on 2024-03-19 16:34

from django.db import migrations, models
import django.db.models.deletion

def add_back_post_id(apps, _schema_editor):
    PostComment = apps.get_model("openbook_posts", "PostComment")
    for comment in PostComment.objects.all():
        comment.post_id = comment.commentable_id
        comment.save()


class Migration(migrations.Migration):

    dependencies = [
        ("openbook_posts", "0021_postcomment_apply_constraints"),
    ]

    operations = [
        migrations.RunPython(code=migrations.RunPython.noop, reverse_code=add_back_post_id),
        migrations.AlterField(
            model_name='postcomment',
            name='post',
            preserve_default=False,
            field=models.ForeignKey(null=True, default=1, on_delete=django.db.models.deletion.CASCADE, to="openbook_posts.post"),
        ),
        migrations.RemoveField(
            model_name="postcomment",
            name="post",
        ),
    ]
